$schema: "http://json-schema.org/draft-06/schema#"

title: networkservices v1 HttpRouteRequestMirrorPolicy export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  destination:
    description: |-
      The destination the requests will be mirrored to. The weight of the
      destination will be ignored.
    $ref: HttpRouteDestination.yaml
  mirrorPercent:
    description: |-
      The percentage of requests to get mirrored to the desired destination.
    type: number
